# Ogre::SceneQueryResult Struct Reference

Holds the results of a scene query. More...

`#include <OgreSceneQuery.h>`

List of all members.

## Public Attributes

SceneQueryResultMovableList | movables
| List of movable objects in the query (entities, particle systems etc).
SceneQueryResultWorldFragmentList | worldFragments
| List of world fragments.

## Detailed Description

Holds the results of a scene query.

Definition at line 203 of file OgreSceneQuery.h.

## Member Data Documentation

SceneQueryResultMovableList Ogre::SceneQueryResult::movables

List of movable objects in the query (entities, particle systems etc).

Definition at line 206 of file OgreSceneQuery.h.

SceneQueryResultWorldFragmentList Ogre::SceneQueryResult::worldFragments

List of world fragments.

Definition at line 208 of file OgreSceneQuery.h.

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:29:36 2008